﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Maps_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
          
            InitializeComponent();
            
         
            

        }
    }


    public class Country : INotifyPropertyChanged
    {
        public string OSM_ID  { get; set; }

        private double dataValue { get; set; }
        public double Value
        {
            get
            {
                return dataValue;
            }
            set
            {
                dataValue = value;
                OnPropertyChanged(new PropertyChangedEventArgs("Value"));
            }

        }
        public string ValueFormat { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(PropertyChangedEventArgs e)
        {
            this.ValueFormat = (String.Format("{0:0,0}", this.Value).Trim('$'));
            if (PropertyChanged != null)
            {
                PropertyChanged(this, e);
            }
        }
    }
    public class MapViewModel
    {
        public ObservableCollection<Country> Countries { get; set; }
        public MapViewModel()
        {
            Countries = new ObservableCollection<Country>();
            Countries = GetCountriesAndPopulation();
        }
        private ObservableCollection<Country> GetCountriesAndPopulation()
        {
            ObservableCollection<Country> countries = new ObservableCollection<Country>();
            countries.Add(new Country() { OSM_ID = "-60189.00000", Value = -60189.00000 });
            countries.Add(new Country() { OSM_ID = "-4848355.00000", Value = 4848355.00000 });
            countries.Add(new Country() { OSM_ID = "-4848354.00000", Value = -4848354.00000 });
            countries.Add(new Country() { OSM_ID = "-4848356.00000", Value = -4848356.00000 });
            countries.Add(new Country() { OSM_ID = "-4848354.00000", Value = -4848354.00000 });
            return countries;
        }
    }


}
